Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.annotation.security
Annotation Type DeclareRoles

    @Documented
    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface DeclareRoles

Version:
  $Rev: 513246 $ $Date: 2007-03-01 10:48:51 +0100 (Thu, 01 Mar 2007) $

Required Element Summary
`java.lang.String[]` | `value`

Element Detail

### value

    public abstract java.lang.String[] value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.